Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.1.6 generated on August 25 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.conf
Class PluginValue

    java.lang.Object
      |
      +--com.solarmetric.conf.Value
            |
            +--com.solarmetric.conf.PluginValue

All Implemented Interfaces:
  Cloneable

public class PluginValue
extends Value

A plugin `Value` consisting of plugin name and properties. Plugins should be specified in the form:
`<plugin-name>(<prop1>=<val1>, ...)`
Both the plugin name and prop list are optional, so that the following forms are also valid:
`<plugin-name>`
`<prop1>=<val1> ...`

Defaults and aliases on plugin values apply only to the plugin name.

Constructor Summary
`PluginValue(String prop)`

Method Summary
`String` | `getClassName()` The plugin class name.
`protected String` | `getInternalString()` Return the internal string form of this value.
`String` | `getProperties()` The plugin properties.
`String` | `getString()` Return a stringified version of this value.
`Object` | `instantiate(Class type, Configuration conf)` Instantiate the plugin as an instance of the given class.
`Object` | `instantiate(Class type, Configuration conf, boolean fatal)` Instantiate the plugin as an instance of the given class.
`void` | `setClassName(String name)` The plugin class name.
`protected void` | `setInternalString(String str)` Set this value from the given string.
`void` | `setProperties(String props)` The plugin properties.
`void` | `setString(String str)` Set this value from the given string.

Methods inherited from class com.solarmetric.conf.Value
`addAlias, alias, clone, equals, getAliases, getDefault, getProperty, hashCode, setAliases, setDefault, setProperty, unalias`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PluginValue

    public PluginValue(String prop)

Method Detail

### getClassName

    public String getClassName()

  The plugin class name.

### setClassName

    public void setClassName(String name)

  The plugin class name.

### getProperties

    public String getProperties()

  The plugin properties.

### setProperties

    public void setProperties(String props)

  The plugin properties.

### getString

    public String getString()

  Description copied from class: `Value`
  Return a stringified version of this value. If the current value has a short alias key, the alias key is returned.
  Overrides:
    `getString` in class `Value`

### setString

    public void setString(String str)

  Description copied from class: `Value`
  Set this value from the given string. If the given string is null or empty and a default is defined, the default is used. If the given string (or default) is an alias key, it will be converted to the corresponding value internally.
  Overrides:
    `setString` in class `Value`

### getInternalString

    protected String getInternalString()

  Description copied from class: `Value`
  Return the internal string form of this value.
  Overrides:
    `getInternalString` in class `Value`

### setInternalString

    protected void setInternalString(String str)

  Description copied from class: `Value`
  Set this value from the given string.
  Overrides:
    `setInternalString` in class `Value`

### instantiate

    public Object instantiate(Class type,
                              Configuration conf)

  Instantiate the plugin as an instance of the given class.

### instantiate

    public Object instantiate(Class type,
                              Configuration conf,
                              boolean fatal)

  Instantiate the plugin as an instance of the given class.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.1.6 generated on August 25 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.